/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

:host {
  display: inline-flex;
  flex-flow: row;
  align-items: center;
  width: 100%;
}

.field-label {
  margin: 0;
  display: inline-block;
  flex: 1;
}

.field-control {
  width: 100%;
  display: flex;
  flex-flow: column;
}

.field-control-days {
  margin: 0 2.35em 0 0.75em;
}

.field-control-dropdown {
  max-width: 8.25em;
  width: 100%;
  margin: 0 1em 0 0.5em;
}

.field-control-time-separator {
  padding: 0.25em;
}

.field-control-clock {
  margin-left: 0.25em;
}
